EKNO YUAG - Bug #3660

Penyesuaian Report Payslip
06/09/2025 04:48 PM - Mr lkmal

Status: Closed Start date: 06/09/2025
Priority: Normal Due date:

Assignee: Mr [kmal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Mba Yomma,
Mohon bantuannya, menyesuaikan format Payslip sebagai berikut:

Header sebelah kiri:

1. Penambahan informasi "HK Perusahaan", yang datanya diambil dari Personal Work Schedule (table PHRPAQ0125) berdasarkan
Payroll Group.

Payroll Group memiliki ketentuan mengenai periode payroll, yaitu dari tanggal berapa s/d tanggal berapa. Kemudian, perlu dilakukan
pengecekan terhadap Day Type yang memiliki flag WORK di PHRPA0125, yang akan digunakan untuk menghitung HK Perusahaan
selama periode tersebut. Karena OFF dia adalah jadwal libur nya (tidak terhitung).

Header sebelah kanan:

1. "Unit Organisasi" ingin diambil data nya dari field OrgEasy table PHRPA0002

2. "Posisi" ingin diambil data nya dari field PositionEasy table PHRPA0002

3. "NPWP" diganti dengan "No. KPJ" yang data nya diambil dari field BenefitNo di table PHRPA0022

Pada bagian Pendapatan:

ada Wage Type 1001 Uang Saku ingin diambil number nya berdasarkan data kehadiran, jadi ambil data dari table PHRPA0019
dengan AttendanceType 'Normal' (1000). Kemudian, data nya di filter berdasarkan Payroll Group nya karena di Payroll Group punya
ketentuan Payroll Period nya dari tgl berapa sampai dengan tgl berapa dan ingin dibuat validasi semua number nya maksimal 2
angka di belakang koma.

Number yg tampil di bagian tengah berdasarkan kode wageType itu dia muncul karena field isDisplayNumber di set 1 di table
PHRPYCU308. Jadi ingin dibuat validasi semua number nya maksimal 2 angka di belakang koma.

Nama Kalimat "Total Take Home Pay" ingin diubah jadi "Total Pendapatan Diterima".
Berikut dilampirkan file draft (.docx) sebagai referensi nya.

Terima kasih

Port DB: 103.153.60.89

database: MinovaES_Ekno
https://hris-ekno.minovais.com/Account/Login

History

#1 - 06/13/2025 11:11 AM - Tri Rizqiaty
- File CRPTLPPOMESSPAYSLIP_20250613.sql added
- File CRPTLPPOMESSPAYSLIP_FromEkno_20250611.rdl added

- Status changed from Assigned to Developing

Fixing :
1. Execute SP terlampir

2. Deploy rdl terlampir
3. Update table PHRPYCUO0308, untuk merubah description thp

#2 - 06/13/2025 11:11 AM - Tri Rizqgiaty
- Status changed from Developing to QA Test
https://hris-ekno.minovais.com/Account/Login

- Assignee changed from Tri Rizqiaty to Mr Ikmal

#3 - 06/16/2025 09:55 AM - Mr Ikmal
- File Screenshot 2025-06-16 085559.png added
- Status changed from QA Test to Revise

- Assignee changed from Mr Ilkmal to Tri Rizgiaty

Dear mba Yomma,
Ada beberapa hal yang perlu dicek, berdasarkan poin-poin berikut:

1. HK Perusahaan diambil dari data Personal Work Schedule (tabel PHRPAQ125) berdasarkan Payroll Group (PHRPYGRUP). Payroll Group memiliki
ketentuan mengenai periode payroll yang tercatat di tabel PHRPYTRPAYPERIOD, yaitu dari tanggal mulai sampai tanggal akhir periode tersebut.

Untuk menghitung HK Perusahaan juga perlu dilakukan pengecekan terhadap Day Type dengan flag WORK di tabel PHRPAQ125, karena yang
memiliki Day Type selain WORK (seperti OFF) dianggap sebagai hari libur dan tidak dihitung sebagai HK.

Sebagai contoh, untuk EmployeelD = '00000281', payroll group-nya adalah 6500, dan untuk PayrollPeriod period_02 di bulan Januari, memiliki
rentang tanggal dari 2024-12-21 hingga 2025-01-20.

Jika dicoba menggunakan query :

SELECT COUNT (*) AS JumlahRecord

FROM PHRPAO0125

WHERE EmployeelD ='00000281"

AND StartDate >= '20250101'

AND EndDate <= '20250131"

AND DayType = 'WDAY";

Maka hasilnya ada 22 record, mba. Tapi disini karena concern nya mengambil sesuai PayrollPeriod nya jadi kemungkinan bukan 22 record karena yg
bulan Desember belum ada data nya di PA125.

2. Wage Type 1001 (Uang Saku) ingin diambil number-nya berdasarkan data kehadiran. Data diambil dari tabel PHRPA0019 dengan
AttendanceType 'Normal' (1000).

Selanjutnya, data difilter berdasarkan Payroll Group (PHRPYGRUP), karena setiap Payroll Group memiliki ketentuan mengenai Payroll Period-nya,
yang tercatat di tabel PHRPYTRPAYPERIOD, yaitu dari tanggal mulai hingga tanggal akhir periode dan divalidasi maksimal number nya 2 angka di
belakang koma.

3. Ingin dibuat validasi number yang ada di tampilkan maksimal 2 angka di belakang koma.
Terima kasih mba.

#4 - 06/16/2025 02:33 PM - Tri Rizqiaty

- File CRPTLPPOMESSPAYSLIP_20250616.sql added

- Status changed from Revise to QA Test

- Assignee changed from Tri Rizqgiaty to Mr Ikmal

Fixing : execute SP terlampir

#5 - 06/16/2025 05:59 PM - Mr Ikmal
- Status changed from QA Test to Closed

Files

CRPTLPPOMPYPAYSLIPGROUP (2) (1).docx 20.2 KB 06/09/2025 Mr lkmal
CRPTLPPOMESSPAYSLIP_20250613.sq| 34.9 KB 06/13/2025 Tri Rizgiaty
CRPTLPPOMESSPAYSLIP_FromEkno_20250611.rdl 155 KB 06/13/2025 Tri Rizgiaty
Screenshot 2025-06-16 085559.png 103 KB 06/16/2025 Mr Ikmal
CRPTLPPOMESSPAYSLIP_20250616.sq] 36.6 KB 06/16/2025 Tri Rizgiaty
